function determineLink() {
	if (squidcoInternetServices_02.src==squidcoInternetServices_02_about_over.src) {
		location='about.shtml';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_clients_over.src) {
		location='clients.shtml';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_music_over.src) {
		location='music.shtml';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_shopping_over.src) {
		location='http://www.squidco.com/miva/merchant.mv?';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_programming_over.src) {
		location='programming.shtml';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_internet_over.src) {
		location='internet.shtml';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_information_over.src) {
		location='information.shtml';
	}
	else if (squidcoInternetServices_02.src==squidcoInternetServices_02_art_over.src) {
		location='arts.shtml';
	}
}
	
	
function weatherWindow() {
	adate = new Date();
	bdate = Date.parse(adate);
	newWinName = 'win'+bdate;
    myWindow=window.open('/weather.shtml',newWinName,'toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,width=350,height=350');
}

function newImage(arg) {
	if (document.images) {
		rslt = new Image();
		rslt.src = arg;
		return rslt;
	}
}

function changeImages() {
	if (document.images && (preloadFlag == true)) {
		for (var i=0; i<changeImages.arguments.length; i+=2) {
			document[changeImages.arguments[i]].src = changeImages.arguments[i+1];
		}
	}
}

var preloadFlag = false;
function preloadImages() {
	if (document.images) {
		news_over = newImage("/ear/images/imagesV3/news-over.gif");
		gigList_over = newImage("/ear/images/imagesV3/gigList-over.gif");
		heardIn_over = newImage("/ear/images/imagesV3/heardIn-over.gif");
		heardOut_over = newImage("/ear/images/imagesV3/heardOut-over.gif");
		instrumental_over = newImage("/ear/images/imagesV3/instrumental-over.gif");
		eanda_over = newImage("/ear/images/imagesV3/eanda-over.gif");
		features_over = newImage("/ear/images/imagesV3/features-over.gif");
		invisibleBlindfold_over = newImage("/ear/images/imagesV3/invisibleBlindfold-over.gif");
		travelogue_over = newImage("/ear/images/imagesV3/travelogue-over.gif");
		forums_over = newImage("/ear/images/imagesV3/forums-over.gif");
		bottomshelf_over = newImage("/ear/images/imagesV3/bottomshelf-over.gif");
		search_over = newImage("/ear/images/imagesV3/search-over.gif");
		oped_over = newImage("/ear/images/imagesV3/oped-over.gif");
		about_over = newImage("/ear/images/imagesV3/about-over.gif");
		links_over = newImage("/ear/images/imagesV3/links-over.gif");
		SquidsEarMenuVol3a_18_eanda_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-eanda.gif");
		SquidsEarMenuVol3a_18_eanda_out = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-ea-35.gif");
		SquidsEarMenuVol3a_18_features_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-featu.gif");
		SquidsEarMenuVol3a_18_invisibleBlindfold_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-invis.gif");
		SquidsEarMenuVol3a_18_travelogue_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-trave.gif");
		SquidsEarMenuVol3a_18_forums_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-forum.gif");
		SquidsEarMenuVol3a_18_bottomshelf_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-botto.gif");
		SquidsEarMenuVol3a_18_search_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-searc.gif");
		SquidsEarMenuVol3a_18_oped_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-oped_.gif");
		SquidsEarMenuVol3a_18_about_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-about.gif");
		SquidsEarMenuVol3a_18_links_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-links.gif");
		SquidsEarMenuVol3a_18_news_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-news_.gif");
		SquidsEarMenuVol3a_18_gigList_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-gigLi.gif");
		SquidsEarMenuVol3a_18_heardIn_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-heard.gif");
		SquidsEarMenuVol3a_18_heardOut_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-he-48.gif");
		SquidsEarMenuVol3a_18_instrumental_over = newImage("/ear/images/imagesV3/SquidsEarMenuVol3a_18-instr.gif");
		preloadFlag = true;
	}
}

nombresMes = Array("","Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");

var anoInicial = 1900;
var anoFinal = 2100;
var ano;
var mes;
var dia;
var campoDeRetorno;
var titulo;

function diasDelMes(ano,mes) {
       if ((mes==1)||(mes==3)||(mes==5)||(mes==7)||(mes==8)||(mes==10)||(mes==12)) dias=31
  else if ((mes==4)||(mes==6)||(mes==9)||(mes==11)) dias=31
  else if ((((ano % 100)==0) && ((ano % 400)==0)) || (((ano % 100)!=0) && ((ano % 4)==0))) dias = 29
  else dias = 28;
  return dias;
};

function createMonth(mesActual) {
  var selectorMes = "";
  selectorMes = "<select name='mes' size='1' class='zSelectXXSmall'>\r\n";
//  selectorMes = "<select name='mes' size='1' class='zSelectXXSmall' onChange='javascript:dibujarMes(self.document.theForm.ano[self.document.theForm.ano.selectedIndex].value,self.document.theForm.mes[self.document.theForm.mes.selectedIndex].value);'>\r\n";
  for (var i=1; i<=12; i++) {
    selectorMes = selectorMes + "  <option class='zSelectXXSmall'  value='" + i + "'";
    if (i == mesActual) selectorMes = selectorMes + " selected";
    selectorMes = selectorMes + ">" + nombresMes[i] + "</option>\r\n";
  }
  selectorMes = selectorMes + "</select>\r\n";
  return selectorMes;
}

function createSelectorYear(anoActual) {
  var selectorAno = "";
  selectorAno = "<select name='ano' size='1' class='zSelectXXSmall'>\r\n";
//  selectorAno = "<select name='ano' size='1' onChange='javascript:dibujarMes(self.document.theForm.ano[self.document.theForm.ano.selectedIndex].value,self.document.theForm.mes[self.document.theForm.mes.selectedIndex].value);'>\r\n";
  for (var i=anoInicial; i<=anoFinal; i++) {
    selectorAno = selectorAno + "  <option class='zSelectXXSmall' value='" + i + "'";
    if (i == anoActual) selectorAno = selectorAno + " selected";
    selectorAno = selectorAno + ">" + i + "</option>\r\n";
  }
  selectorAno = selectorAno + "</select>&nbsp;&nbsp;<a href='javascript:document.theForm.displayYear.value=document.theForm.ano[document.theForm.ano.selectedIndex].value; document.theForm.displayMonth.value=document.theForm.mes[document.theForm.mes.selectedIndex].value; document.theForm.searchYear.value=\"\"; document.theForm.searchMonth.value=\"\"; document.theForm.searchDay.value=\"\"; document.theForm.submit();'>go</a>";
//  selectorAno = selectorAno + "</select>&nbsp;&nbsp;<a href='javascript:alert('0); document.theForm.displayYear=document.theForm.ano[document.theForm.ano.selectedIndex].value; alert('1'); document.theForm.displayMonth=document.theForm.mes[document.theForm.mes.selectedIndex].value; alert('2'); document.theForm.submit(); alert('3'); '>go</a>";
  return selectorAno;
}


//function dibujarMes(numeroAno,numeroMes) {
//  var html = "";
//  html = html + "<html>\r\n<head>\r\n  <title>" + titulo + "</title>\r\n";
//  html = html + '<meta name="generator" content="phil zampino"><LINK REL=StyleSheet href="/scheduler/styles/scheduler.css" TYPE="text/css" MEDIA=screen>';
//  
//  html = html + "</head>\r\n<body bgcolor='#ffffff' onUnload='escribirFecha();'>\r\n  <div align='center'>\r\n  <form name='theForm'>\r\n";
//  html = html + createMonth(numeroMes);
//  html = html + createSelectorYear(numeroAno);
//  html = html + createDayTable(numeroAno,numeroMes);
////  html = html + "<center><p><input type='button' class='zSelectXXSmall' name='hoy' value='today: " + dia + "/" + mes + "/" + ano + "' onClick='javascript:self.close();'></center>";
//  html = html + "\r\n  </form>\r\n  </div>\r\n</body>\r\n</html>\r\n";
//  ventana = open("","calendario","width=220,height=270");
//  myw=screen.availWidth;
//  myh=screen.availHeight;
//  myw=Math.round(myw/2)-110;
//  myh=Math.round(myh/2)-135;
//  ventana.window.moveTo(myw,myh)
//  ventana.document.open();
//  ventana.document.writeln(html);
//  ventana.document.close();
//  ventana.focus();
//}

function anoHoy() {
  var fecha = new Date();
  if (navigator.appName == "Netscape") return fecha.getYear() + 1900
  else return fecha.getYear();
}

function mesHoy() {
  var fecha = new Date();
  return fecha.getMonth()+1;
}

function diaHoy() {
  var fecha = new Date();
  return fecha.getDate();
}

function pedirFecha(campoTexto,nombreCampo) {
  ano = anoHoy();
  mes = mesHoy();
  dia = diaHoy();
  campoDeRetorno = campoTexto;
  titulo = nombreCampo;
  dibujarMes(ano,mes);
}

function escribirFecha() {
  campoDeRetorno.value = ano + "-" + mes + "-" + dia;
}



